Package org.eclipse.handly.util

# Enum Class ToStringOptions.FormatStyle

java.lang.Object
java.lang.Enum<ToStringOptions.FormatStyle>
org.eclipse.handly.util.ToStringOptions.FormatStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<ToStringOptions.FormatStyle>`, `Constable`

Enclosing class:
  `ToStringOptions`

public static enum ToStringOptions.FormatStyle extends Enum<ToStringOptions.FormatStyle>
Enumeration of the style of textual representation of an object.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FULL`
  Full text style, with the most detail.
  `LONG`
  Long text style, with lots of detail.
  `MEDIUM`
  Medium text style, with some detail.
  `SHORT`
  Short text style, with the least detail.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ToStringOptions.FormatStyle`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ToStringOptions.FormatStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FULL

    public static final ToStringOptions.FormatStyle FULL
    Full text style, with the most detail.

  - ### LONG

    public static final ToStringOptions.FormatStyle LONG
    Long text style, with lots of detail.

  - ### MEDIUM

    public static final ToStringOptions.FormatStyle MEDIUM
    Medium text style, with some detail.

  - ### SHORT

    public static final ToStringOptions.FormatStyle SHORT
    Short text style, with the least detail.

- ## Method Details

  - ### values

    public static ToStringOptions.FormatStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ToStringOptions.FormatStyle valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null